package com.gyee.frame.model.custom.export;

import cn.hutool.system.UserInfo;

/**
 * 测点数据
 */
public class PointDataDB {
    /**
     * 时间戳
     */
    private long ts;
    /**
     * 数据
     */
    private double doubleValue;
    /**
     * boolean 数据
     */
    private boolean booleanValue;
    /**
     * 状态
     */
    private int status;

    public long getTs() {
        return ts;
    }

    public void setTs(long ts) {
        this.ts = ts;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public double getValue() {
        if (booleanValue) {
            return 1;
        }
        return doubleValue;
    }

    public double getDoubleValue() {
        return doubleValue;
    }

    public void setDoubleValue(double doubleValue) {
        this.doubleValue = doubleValue;
    }

    public boolean getBooleanValue() {
        return booleanValue;
    }

    public void setBooleanValue(boolean booleanValue) {
        this.booleanValue = booleanValue;
    }

}
